VMTKBOUNDARYLAYER(1)

NAME
vmtkboundarylayer - vmtk script vmtkboundarylayer

DESCRIPTION
Automatic piping vmtkboundarylayer Parsing options vmtkboundarylayer

vmtkboundarylayer : create a prismatic boundary layer from a surface

    mesh and a set of vectors defined on the nodes

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-warpvectorsarray WarpVectorsArrayName (str,1); default=Normals:

    name of the array where warp vectors are stored

-thicknessarray ThicknessArrayName (str,1): name of the array where

    scalars defining boundary layer thickness are stored

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds

-thickness Thickness (float,1); default=1.0: value of constant

    boundary layer thickness

-thicknessratio ThicknessRatio (float,1) >= 0.0; default=0.1:

    multiplying factor for boundary layer thickness

-maximumthickness MaximumThickness (float,1);

    default=10000000000.0: maximum allowed value for boundary layer thickness

-sublayers NumberOfSubLayers (int,1) >= 0; default=1: number of

    sublayers which the boundary layer has to be made of

-substeps NumberOfSubsteps (int,1) >= 0; default=2000: number of

    substeps for smoothly propagating the boundary layer

-relaxation Relaxation (float,1) >= 0.0; default=0.01: relaxation

    factor for the evolution of the inner surface

-localcorrection LocalCorrectionFactor (float,1) >= 0.0;

    default=0.45: amount of correction to apply to warp vectors during local untangling

-innersurfaceentityid InnerSurfaceCellEntityId (int,1) >= 0;

    default=0: cell entity id assigned to the inner warped surface

-outersurfaceentityid OuterSurfaceCellEntityId (int,1) >= 0;

    default=0: cell entity id assigned to the original outer surface

-sidewallentityid SidewallCellEntityId (int,1) >= 0; default=0:

    cell entity id assigned to the sidewall elements generated by sweeping

-volumeentityid VolumeCellEntityId (int,1) >= 0; default=0: cell

    entity id assigned to volume elements of the boundary layer

-sublayerratio SubLayerRatio (float,1) >= 0.0; default=1.0: ratio

    between the thickness of two successive boundary layers

-warpvectormagnitudeasthickness UseWarpVectorMagnitudeAsThickness

    (bool,1); default=0: compute boundary layer thickness as the norm of warp vectors

-constantthickness ConstantThickness (bool,1); default=0: toggle

    constant boundary layer thickness

-includesurfacecells IncludeSurfaceCells (bool,1); default=1:

    include inner and outer surface cells in the output mesh

-includesidewallcells IncludeSidewallCells (bool,1); default=1:

    include surface cells generated by sweeping the input surface boundaries in the output mesh

-negatewarpvectors NegateWarpVectors (bool,1); default=0: flip the

    orientation of warp vectors

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

-oinnerfile InnerSurfaceMeshOutputFileName (str,1): filename for

    the default InnerSurfaceMesh writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh

-oinner InnerSurfaceMesh (vtkUnstructuredGrid,1): the output inner

    surface mesh